Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface SubProcessNode

Deprecated. - use `Node` instead.

public interface SubProcessNode

Method Summary
`DataItemMappingElement` | `addDataMappingElement(java.lang.String parentDataItemRefName, java.lang.String childDataItemRefName, int direction)` Deprecated. - use `Node.addDataMappingElement` instead.
`DataItemMappingElement[]` | `getDataMappingElements()` Deprecated. - use `Node.DataItemMappingElement` instead.
`java.lang.String` | `getDesc()` Deprecated. - use `Node.getDesc` instead.
`JavaActionSet` | `getEpilogueJavaActionSet()` Deprecated. - use `Node.getEpilogueJavaActionSet` instead.
`java.lang.String` | `getEpilogueScript()` Deprecated. - use `Node.getEpilogueScript` instead.
`java.lang.String` | `getName()` Deprecated. - use `Node.getName` instead.
`long` | `getNodeId()` Deprecated. - use `Node.getNodeId` instead.
`Plan` | `getPlan()` Deprecated. - use `Node.getPlan` instead.
`java.awt.Point` | `getPosition()` Deprecated. - use `Node.getPosition` instead.
`JavaActionSet` | `getPrologueJavaActionSet()` Deprecated. - use `Node.getPrologueJavaActionSet` instead.
`java.lang.String` | `getPrologueScript()` Deprecated. - use `Node.getPrologueScript` instead.
`long` | `getSubPlanId()` Deprecated. - use `Node.getSubPlanId` instead.
`java.lang.String` | `getSubPlanName()` Deprecated. - use `Node.getSubPlanName` instead.
`int` | `getType()` Deprecated. - use `Node.getType` instead.
`void` | `removeDataMappingElement(DataItemMappingElement input)` Deprecated. - use `Node.removeDataMappingElement` instead.
`void` | `setDesc(java.lang.String description)` Deprecated. - use `Node.setDesc` instead.
`void` | `setEpilogueJavaActionSet(JavaActionSet actionSet)` Deprecated. - use `Node.setEpilogueJavaActionSet` instead.
`void` | `setEpilogueScript(java.lang.String script)` Deprecated. - use `Node.setEpilogueScript` instead.
`void` | `setName(java.lang.String activityNodeName)` Deprecated. - use `Node.setName` instead.
`void` | `setPosition(java.awt.Point pos)` Deprecated. - use `Node.setPosition` instead.
`void` | `setPrologueScript(JavaActionSet actionSet)` Deprecated. - use `Node.setPrologueScript` instead.
`void` | `setPrologueScript(java.lang.String script)` Deprecated. - use `Node.setPrologueScript` instead.
`void` | `setSubPlanId(long planId)` Deprecated. - use `Node.setSubPlanId` instead.
`void` | `setSubPlanName(java.lang.String planName)` Deprecated. - use `Node.setSubPlanName` instead.

Method Detail

### getNodeId

    public long getNodeId()

  Deprecated. - use `Node.getNodeId` instead.

### getName

    public java.lang.String getName()

  Deprecated. - use `Node.getName` instead.

### getDesc

    public java.lang.String getDesc()

  Deprecated. - use `Node.getDesc` instead.

### setName

    public void setName(java.lang.String activityNodeName)
                 throws ModelInternalException

  Deprecated. - use `Node.setName` instead.

  Throws:
    `ModelInternalException`

### setDesc

    public void setDesc(java.lang.String description)
                 throws ModelInternalException

  Deprecated. - use `Node.setDesc` instead.

  Throws:
    `ModelInternalException`

### getType

    public int getType()

  Deprecated. - use `Node.getType` instead.

### getPlan

    public Plan getPlan()

  Deprecated. - use `Node.getPlan` instead.

### getPosition

    public java.awt.Point getPosition()

  Deprecated. - use `Node.getPosition` instead.

### setPosition

    public void setPosition(java.awt.Point pos)

  Deprecated. - use `Node.setPosition` instead.

### getEpilogueScript

    public java.lang.String getEpilogueScript()

  Deprecated. - use `Node.getEpilogueScript` instead.

### setEpilogueScript

    public void setEpilogueScript(java.lang.String script)

  Deprecated. - use `Node.setEpilogueScript` instead.

### getPrologueScript

    public java.lang.String getPrologueScript()

  Deprecated. - use `Node.getPrologueScript` instead.

### setPrologueScript

    public void setPrologueScript(java.lang.String script)

  Deprecated. - use `Node.setPrologueScript` instead.

### setSubPlanId

    public void setSubPlanId(long planId)
                      throws WFServerException,
                             WFInternalException,
                             ModelInternalException

  Deprecated. - use `Node.setSubPlanId` instead.

  Throws:
    `WFServerException`
    `WFInternalException`
    `ModelInternalException`

### getSubPlanId

    public long getSubPlanId()
                      throws ModelInternalException

  Deprecated. - use `Node.getSubPlanId` instead.

  Throws:
    `ModelInternalException`

### addDataMappingElement

    public DataItemMappingElement addDataMappingElement(java.lang.String parentDataItemRefName,
                                                        java.lang.String childDataItemRefName,
                                                        int direction)
                                                 throws ModelException

  Deprecated. - use `Node.addDataMappingElement` instead.

  Throws:
    `ModelException`

### getDataMappingElements

    public DataItemMappingElement[] getDataMappingElements()
                                                    throws ModelException

  Deprecated. - use `Node.DataItemMappingElement` instead.

  Throws:
    `ModelException`

### removeDataMappingElement

    public void removeDataMappingElement(DataItemMappingElement input)
                                  throws ModelException

  Deprecated. - use `Node.removeDataMappingElement` instead.

  Throws:
    `ModelException`

### setSubPlanName

    public void setSubPlanName(java.lang.String planName)
                        throws WFServerException,
                               WFInternalException,
                               ModelInternalException

  Deprecated. - use `Node.setSubPlanName` instead.

  Throws:
    `WFServerException`
    `WFInternalException`
    `ModelInternalException`

### getSubPlanName

    public java.lang.String getSubPlanName()
                                    throws ModelInternalException

  Deprecated. - use `Node.getSubPlanName` instead.

  Throws:
    `ModelInternalException`

### getEpilogueJavaActionSet

    public JavaActionSet getEpilogueJavaActionSet()

  Deprecated. - use `Node.getEpilogueJavaActionSet` instead.

### setEpilogueJavaActionSet

    public void setEpilogueJavaActionSet(JavaActionSet actionSet)

  Deprecated. - use `Node.setEpilogueJavaActionSet` instead.

### getPrologueJavaActionSet

    public JavaActionSet getPrologueJavaActionSet()

  Deprecated. - use `Node.getPrologueJavaActionSet` instead.

### setPrologueScript

    public void setPrologueScript(JavaActionSet actionSet)

  Deprecated. - use `Node.setPrologueScript` instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD